org.apache.hadoop.tools.protocolPB

## Class GetUserMappingsProtocolServerSideTranslatorPB

- java.lang.Object
- - org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolServerSideTranslatorPB

- All Implemented Interfaces:
    GetUserMappingsProtocolProtos.GetUserMappingsProtocolService.BlockingInterface, org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolPB

      public class GetUserMappingsProtocolServerSideTranslatorPB
      extends Object
      implements org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolPB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetUserMappingsProtocolServerSideTranslatorPB(org.apache.hadoop.tools.GetUserMappingsProtocol impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetUserMappingsProtocolProtos.GetGroupsForUserResponseProto` | `getGroupsForUser(com.google.protobuf.RpcController controller, GetUserMappingsProtocolProtos.GetGroupsForUserRequestProto request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetUserMappingsProtocolServerSideTranslatorPB

          public GetUserMappingsProtocolServerSideTranslatorPB(org.apache.hadoop.tools.GetUserMappingsProtocol impl)

  - ### Method Detail

    - #### getGroupsForUser

          public GetUserMappingsProtocolProtos.GetGroupsForUserResponseProto getGroupsForUser(com.google.protobuf.RpcController controller,
                                                                                              GetUserMappingsProtocolProtos.GetGroupsForUserRequestProto request)
                                                                                       throws com.google.protobuf.ServiceException

      Specified by:
        `getGroupsForUser` in interface `GetUserMappingsProtocolProtos.GetUserMappingsProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.